# -*- coding: utf-8 -*-
# Generated by Django 1.9.2 on 2016-03-11 15:59
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('locations', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Company',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=60)),
                ('email', models.EmailField(db_index=True, max_length=254, unique=True)),
                ('reg_no', models.CharField(max_length=30, unique=True)),
                ('propic', models.FileField(blank=True, null=True, upload_to=b'ProfilePhoto/%Y/%m/%d')),
                ('info', models.CharField(blank=True, max_length=1200, null=True)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'ordering': ['-created'],
            },
        ),
        migrations.CreateModel(
            name='Driver',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=60)),
                ('email', models.EmailField(db_index=True, max_length=254, unique=True)),
                ('reg_no', models.CharField(max_length=30, unique=True)),
                ('taxi_no', models.CharField(max_length=30, unique=True)),
                ('propic', models.FileField(blank=True, null=True, upload_to=b'ProfilePhoto/%Y/%m/%d')),
                ('info', models.CharField(blank=True, max_length=1200, null=True)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'ordering': ['-created'],
            },
        ),
        migrations.CreateModel(
            name='Passenger',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=60)),
                ('email', models.EmailField(db_index=True, max_length=254, unique=True)),
                ('propic', models.FileField(blank=True, null=True, upload_to=b'ProfilePhoto/%Y/%m/%d')),
                ('info', models.CharField(blank=True, max_length=1200, null=True)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('community', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='locations.Community')),
                ('university', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='locations.University')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'ordering': ['university', 'community', '-created'],
            },
        ),
    ]
